# Draw
TKDCAF
DDataStd

# DDataStd Class Reference

commands for Standard Attributes.
=================================

`#include <DDataStd.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | AllCommands (Draw_Interpretor &I)
| command to set and get modeling attributes
static Standard_EXPORT void | NamedShapeCommands (Draw_Interpretor &I)
| to set and get NamedShape
static Standard_EXPORT void | BasicCommands (Draw_Interpretor &I)
| to set and get Integer, Real, Reference, Geometry
static Standard_EXPORT void | DatumCommands (Draw_Interpretor &I)
| to set and get Datum attributes
static Standard_EXPORT void | ConstraintCommands (Draw_Interpretor &I)
| to set and get Constraint and Constraint attributes
static Standard_EXPORT void | ObjectCommands (Draw_Interpretor &I)
| to set and get Objects attributes
static Standard_EXPORT void | DrawDisplayCommands (Draw_Interpretor &I)
| to display standard attributes
static Standard_EXPORT void | NameCommands (Draw_Interpretor &I)
| to set and get Name attribute
static Standard_EXPORT void | TreeCommands (Draw_Interpretor &I)
| to build, edit and browse an explicit tree of labels //! package methods ===============
static Standard_EXPORT void | DumpConstraint (const Handle(TDataStd_Constraint)&C, Standard_OStream &S)

## Member Function Documentation

static Standard_EXPORT void DDataStd::AllCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void DDataStd::BasicCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void DDataStd::ConstraintCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void DDataStd::DatumCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void DDataStd::DrawDisplayCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void DDataStd::DumpConstraint | ( | const Handle(TDataStd_Constraint)& | C,
|  | Standard_OStream & | S
| ) | `[static]`

static Standard_EXPORT void DDataStd::NameCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void DDataStd::NamedShapeCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void DDataStd::ObjectCommands | ( | Draw_Interpretor & | I | ) | `[static]`

void DDataStd::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DDataStd::operator new | ( | size_t | size | ) | `[inline]`

void* DDataStd::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void DDataStd::TreeCommands | ( | Draw_Interpretor & | I | ) | `[static]`

The documentation for this class was generated from the following file:

- DDataStd.hxx